NuminaDevelopers
Dashboard
Update contact

Update contact

PUT
/v1/contacts/{id}

Updates an existing contact. Only provided fields are updated.

Requires one ofcontacts:writewrite:draftwrite:ledger

Path parameters

  • idstring (uuid)Required
    Contact ID

Body

application/json

Errors

  • 400Invalid input or validation failed
  • 401Invalid or missing authentication
  • 403Missing scope, or the company is archived
  • 404The resource does not exist in this company
  • 429Rate limit exceeded
  • 500Internal Server Error

Every error has the same shape. See Errors.

cURL
curl -X PUT https://api.numina.app/v1/contacts/550e8400-e29b-41d4-a716-446655440000 \
  -H "Authorization: Bearer numi_YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "Acme ApS",
    "cvr": 12345678,
    "vat_number": "DK12345678",
    "country_code": "DK",
    "address_street": "Vestergade 1",
    "address_zip": "1456",
    "address_city": "Copenhagen",
    "address_country": "Denmark",
    "email": "billing@acme.dk",
    "phone": "+45 12 34 56 78",
    "attn_person": "Jane Doe",
    "e_invoice_number": "12345678",
    "e_invoice_scheme": "DK:CVR"
  }'
JavaScript
const response = await fetch("https://api.numina.app/v1/contacts/550e8400-e29b-41d4-a716-446655440000", {
  method: "PUT",
  headers: {
    Authorization: `Bearer ${process.env.NUMINA_API_KEY}`,
    "Content-Type": "application/json",
  },
  body: JSON.stringify({
    "name": "Acme ApS",
    "cvr": 12345678,
    "vat_number": "DK12345678",
    "country_code": "DK",
    "address_street": "Vestergade 1",
    "address_zip": "1456",
    "address_city": "Copenhagen",
    "address_country": "Denmark",
    "email": "billing@acme.dk",
    "phone": "+45 12 34 56 78",
    "attn_person": "Jane Doe",
    "e_invoice_number": "12345678",
    "e_invoice_scheme": "DK:CVR"
  }),
});

const data = await response.json();
Python
import os

import requests

response = requests.put(
    "https://api.numina.app/v1/contacts/550e8400-e29b-41d4-a716-446655440000",
    headers={
        "Authorization": f"Bearer {os.environ['NUMINA_API_KEY']}",
    },
    json={
        "name": "Acme ApS",
        "cvr": 12345678,
        "vat_number": "DK12345678",
        "country_code": "DK",
        "address_street": "Vestergade 1",
        "address_zip": "1456",
        "address_city": "Copenhagen",
        "address_country": "Denmark",
        "email": "billing@acme.dk",
        "phone": "+45 12 34 56 78",
        "attn_person": "Jane Doe",
        "e_invoice_number": "12345678",
        "e_invoice_scheme": "DK:CVR"
    },
)
data = response.json()
Response
200
{
  "id": "550e8400-e29b-41d4-a716-446655440000",
  "name": "Acme ApS",
  "cvr": 12345678,
  "vat_number": "DK12345678",
  "country_code": "DK",
  "address_street": "Vestergade 1",
  "address_zip": "1456",
  "address_city": "Copenhagen",
  "country": "Denmark",
  "email": "billing@acme.dk",
  "phone": "+45 12 34 56 78",
  "attn_person": "Jane Doe",
  "e_invoice_number": "12345678",
  "e_invoice_scheme": "DK:CVR",
  "archived": false
}